<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
<!--    <meta name="color-scheme" content="light only" />-->

    <link rel="icon" href="img/logo.png">

    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">

    <!-- Настройки безопасности кордовы, здесь настраивается могут ли выполняться и нлайн скрипты, -->
    <!-- переходы по ссылке, удаленный доступ к библиотекам и АПИ и т.д. -->
    <meta http-equiv="Content-Security-Policy" content="default-src *; style-src 'self' 'unsafe-inline' https://unpkg.com/leaflet@1.7.1/dist;
            script-src 'self' 'unsafe-inline' 'unsafe-eval' *; img-src 'self' data: *;">

    <link rel="stylesheet" href="css/bootstrap.min.css">

    <script src="js/jquery341.js"></script>
    <script src="js/popper.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script src="js/fontawesome.js"></script>

    <!-- Очень важная ссылка, иначе не будут работать плагины cordova.js -->
    <script type="text/javascript" src="cordova.js"></script>
    <script type="text/javascript" src="js/login.js"></script>

<!--    <link rel="stylesheet" href="css/index.css">-->


<!--    <link rel="stylesheet" href="css/theme.css">-->
<!--    <link rel="stylesheet" href="css/style.css">-->
    <title>АСКУЭ «РЖД»</title>

    <style>
        html {
            height: 100%;
        }
        body {
            min-height: 100%;
            background-image: url("img/inbg.jpeg");
            background-size: cover;
        }
        #screenFiller {
            position: absolute;
            top: 0; right: 0; bottom: 0; left: 0;
            /*border: 15px solid orange*/
        }
        .dropdown-toggle::after {
            display: inline-block;
            width: 0;
            height: 0;
            margin-left: .255em;
            vertical-align: .255em;
            content: "";
            border-top: .3em solid;
            border-right: .3em solid transparent;
            border-bottom: 0;
            border-left: .3em solid transparent;
            float: right;
        }
        .btn:hover, .btn:focus, .btn:active, .btn.active, .open .dropdown-toggle.btn {
            background-color: rgba(255, 255, 255, 0.59) !important;
            /*background-repeat: repeat-x;*/
            background-image: linear-gradient(#55555505, #ffffff00);
            color: rgba(255, 255, 255, 0.59) !important;
        }
        .container .dropdown-menu {

            /*transform: translate3d(5px, 65px, 0px) !important; !*Mandatory condition to force dropdown be at bottom only*!*/

            position: static;
            float: none;
        }

    </style>
</head>
<body>
<!-- align-middle h-100" id="screenFiller">-->

<div class="container">
    <div class="row h-100 align-middle">
        <div id="col" class="col-md-12 my-auto align-middle" style="text-align: center;">
            <h5 style="color: white;">Автоматизированная система коммерческого учета электроэнергии</h5>
            <br>

<!--            <div class="form-group" id="fgm1">-->
<!--&lt;!&ndash;                <label for="login" style="position: fixed; left: 15px; color: white; margin-top: -25px !important;">Логин</label>&ndash;&gt;-->
<!--                <label for="login" style="color: white; margin-top: -25px !important;">Логин</label>-->
<!--                <div class="row">-->
<!--                    <div class="col">-->
<!--                        <input id="login" class="form-control" type="text" name="login" placeholder=""  style="background-color: transparent;">-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->


<!--            <div class="form-group" id="fgm2" style="margin-top: 30px;">-->
<!--&lt;!&ndash;                <label for="pswd" style="position: fixed; left: 15px; color: white; margin-top: -25px !important;">Пароль</label>&ndash;&gt;-->
<!--                <label for="pswd" style="color: white; margin-top: -25px !important;">Пароль</label>-->
<!--                <div class="row">-->
<!--                    <div class="col">-->
<!--                        <input id="pswd" class="form-control" type="password" name="pswd" placeholder="" style="background-color: transparent;">-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->

            <div class="form-group">
                <div class="dropdown">

                    <div class="d-flex justify-content-start">
                        <small for="bSelectSrv" style="color: white">Выбор БД:</small>
                    </div>

                    <button
                            class="btn myBtn btn-lg btn-outline-light dropdown-toggle"
                            type="button"
                            data-toggle="dropdown"
                            id="bSelectSrv"
                            aria-haspopup="true"
                            aria-expanded="false"
                            data-display="static"
                            style="margin-top: 10px; text-align: left; width: 100% !important;">
                                Выбор соединения
                                <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" style="background-color: transparent; width: 100% !important; border-color: rgba(255, 255, 255, 0.2); ">
<!--                        <div onclick="getBaseUrl('DEVELOP', 0)">-->
<!--                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Разработка</a></li> &lt;!&ndash; (192.168.2.187:8080)</a></li> &ndash;&gt;-->
<!--                        </div>-->
<!--                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2);"></div>-->
                        <div onclick="getBaseUrl('TEST', 0)">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Тестовое</a></li> <!-- (192.168.2.40:8080)</a></li> -->
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2);"></div>
                        <div onclick="getBaseUrl('DEMO', 0)">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Демонстрационное</a></li> <!-- (m2.smk-systems.com:8080)</a></li> -->
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                    </ul>
                </div>
            </div>

            <!-- aria-haspopup, aria-expanded, data-display - кто то из этих троих двигает дропдаун вниз, весь контент, и позваляет уходить за экран! -->

            <div class="form-group" id="fgTeamSel">

                <div class="dropdown">
                    <div class="d-flex justify-content-start">
                        <small for="bSelectTeam" style="color: white">Бригада:</small>
                    </div>
                    <button
                            class="btn myBtn btn-lg btn-outline-light dropdown-toggle"
                            type="button"
                            data-toggle="dropdown"
                            id="bSelectTeam"
                            aria-haspopup="true"
                            aria-expanded="false"
                            data-display="static"
                            style="margin-top: 10px; text-align: left; width: 100% !important;" disabled>
                                Выбор бригады<!--  margin-top: 180px; -->
                                <span class="caret"></span>
                    </button>
    <!--                <button data-display="static" class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">-->
    <!--                    Dropdown dropdown-toggle with data-display="static"-->
    <!--                </button>                -->

                    <ul class="dropdown-menu" style="background-color: transparent; width: 100% !important; border-color: rgba(255, 255, 255, 0.2);" id="tmMenu">
                    </ul>
                </div>

            </div>
            <div class="form-group" id="fgPlanFilter">
                <!-- ВЫБОР СТАТУСА ПЛАНА ------------------------------------------------------------------------------- -->
                <div class="dropdown">
                    <div class="d-flex justify-content-start">
                        <small for="bSelectTeam" style="color: white">Статус плана:</small>
                    </div>
                    <button
                            class="btn myBtn btn-lg btn-outline-light dropdown-toggle"
                            type="button"
                            data-toggle="dropdown"
                            id="bPlanStatus"
                            aria-haspopup="true"
                            aria-expanded="false"
                            data-display="static"
                            style="margin-top: 10px; text-align: left; width: 100% !important;" disabled>Выбор статуса
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" style="background-color: transparent; width: 100% !important; border-color: rgba(255, 255, 255, 0.2); ">
                        <div onclick="setTeamStatus('ALL')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Все</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
<!--                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2);"></div>-->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('SCHEDULED')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Запланировано</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
<!--                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2);"></div>-->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('COMPLETED')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Завершено</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
<!--                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2);"></div>-->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('COMPLETED_WITH_REMARK')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Завершено с замечаниями</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
<!--                        <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.0);"></div>-->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('SUSPENDED')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Приостановлено</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->







                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('IN_APPROVE')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">На утверждении</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('ACCEPTED')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Принято</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('AGREED')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Согласовано</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('IN_PROGRESS')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">В работе</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamStatus('UNKNOWN')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Не определено</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->

                    </ul>
                </div>
                <br>

                <!-- ВЫБОР СРОКА ПЛАНА --------------------------------------------------------------------------------- -->
                <div class="dropdown">
                    <div class="d-flex justify-content-start">
                        <small for="bSelectTerms" style="color: white">План на:</small>
                    </div>
                    <button
                            class="btn myBtn btn-lg btn-outline-light dropdown-toggle"
                            type="button"
                            data-toggle="dropdown"
                            id="bSelectTerms"
                            aria-haspopup="true"
                            aria-expanded="false"
                            data-display="static"
                            style="margin-top: 10px; text-align: left; width: 100% !important;" disabled>Выбор срока
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" style="background-color: transparent; width: 100% !important; border-color: rgba(255, 255, 255, 0.2); ">
                        <div onclick="setTeamTerms('ALL')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">Все</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamTerms('today')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">На сегодня</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamTerms('on_week')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">На неделю начиная с сегодня</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamTerms('all_week')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">На неделю начиная с начала недели</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamTerms('on_month')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">На текущий месяц начиная с сегодня</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                        <div class="dropdown-divider" style="border-color: rgba(255, 255, 255, 0.2); margin: 15px 20px 15px 20px;"></div>
                        <div onclick="setTeamTerms('all_month')">
                            <li><a href="#" style="margin-left: 10px; color: white; position: initial;">На весь текущий месяц</a></li>
                        </div>
                        <!-- ------------------------------------------------------------------------------------------- -->
                    </ul>
                </div>

            </div>

            <button type="button" onclick="redirectToPlan()" class="myBtn btn btn-outline-light" id="bLogin" style="margin-top: 20px; margin-bottom: 20px; width: 100% !important; ">Вход</button>

        </div>
    </div>
</div>
</body>
</html>